<template>
  <transition name="modal-fade">
    <div class="pf-c-backdrop">
      <div class="pf-l-bullseye">
        <div class="pf-c-modal-box pf-m-sm" role="dialog">
          <slot></slot>
        </div>
      </div>
    </div>
  </transition>
</template>

<script lang="ts">
import { Component, Vue } from "vue-property-decorator";

@Component
export default class Modal extends Vue {
  close() {
    this.$emit("close");
  }
}
</script>

<style lang="scss">
.modal-fade-enter,
.modal-fade-leave-active {
  opacity: 0;
}

.modal-fade-enter-active,
.modal-fade-leave-active {
  transition: opacity 0.5s ease;
}
</style>
